Subject: Re: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: Noam Postavsky <[email-masked]>
Date: Sun, 01 Mar 2020 23:14:12 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: David Kastrup <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Sun, 01 Mar 2020 19:22:32 +0100
>> 
>> >> Uh, I compiled today from master.
>> >
>> > Then you see something very different from what I see on the emacs-27
>> > branch, which is very strange.
>> >
>> 
>> Well, I said that version control may be involved but this is the same
>> using emacs -Q and on a file not under version control.  Here is the
>> current report-emacs-bug blurb for identification:
>> 
>> In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.12, cairo version 1.16.0)
>>  of 2020-03-01 built on lola
>> Repository revision: 279bf23695aff0f680fc846d285c5dc2b9596e76
>> Repository branch: master
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
>> System Description: Ubuntu 19.10
>
> I tried the current master, and I see the same as on the emacs-27
> branch, with a file not under any VCS.
>
> I have no idea how you see something so different.

I've tried this now too, and I see the same as Eli, even on Emacs 26.3.
By the way, the "Save anyway?" question doesn't get logged to
*Messages*.

In GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2019-09-07 built on minid
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
user-error: Beginning of history; no preceding item
(Shell command succeeded with no output)
A.txt changed on disk; really edit the buffer? (y, n, r or C-h) y
File on disk now will become a backup file if you save these changes.
Saving file /home/npostavs/tmp/A.txt...
Wrote /home/npostavs/tmp/A.txt